Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.ui.action
Class ActionRegistry

    java.lang.Object
      javax.swing.ActionMap
          jpicedt.ui.action.ActionRegistry

All Implemented Interfaces:
  Serializable

public class ActionRegistry
extends ActionMap

A registry that retains all JPicEdt's actions in a map, supplies them on-demand through a String key, and knows how to update actions state using the currently installed MDIManager.

Since:
  jPicEdt 1.3
Version:
  $Id: ActionRegistry.java,v 1.14 2006/06/17 22:34:47 reynal Exp $
Author:
  Sylvain Reynal
See Also:
  Serialized Form

Constructor Summary
`ActionRegistry()` construct an ActionRegistry with default Actions

Method Summary
`void` | `addAction(Action a)`
`Action` | `getAction(String name)`
`void` | `updateActionState()` update Action's enabled-state according to the current state of the installed MDIManager.

Methods inherited from class javax.swing.ActionMap
`allKeys, clear, get, getParent, keys, put, remove, setParent, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionRegistry

    public ActionRegistry()

  construct an ActionRegistry with default Actions

Method Detail

### addAction

    public void addAction(Action a)

### getAction

    public Action getAction(String name)

  Returns:
    the action whose name maps "name"

### updateActionState

    public void updateActionState()

  update Action's enabled-state according to the current state of the installed MDIManager. This may be called when a frame gets activated, or when a user action occured that implies updating action states, e.g. "Save", "Open", edit active board, ...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org